classification
Title: profile/pstat doc clariification
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, mbussonn
Priority: normal Keywords:

Created on 2017-02-14 16:00 by mbussonn, last changed 2017-02-22 01:56 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 88 merged mbussonn, 2017-02-19 19:44
PR 88 merged mbussonn, 2017-02-19 19:44
PR 88 merged mbussonn, 2017-02-19 19:44
PR 227 merged berker.peksag, 2017-02-21 23:25
PR 228 merged berker.peksag, 2017-02-21 23:28
Messages (4)
msg287778 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2017-02-14 16:00
profile .rst say:

> Each restriction is either an integer (to select a count of lines), or a decimal fraction between 0.0 and 1.0 inclusive (to select a percentage of lines), **or a regular expression**

Actually it accept a string that will be compiled to a regex.

Profile.py also mention:

> (i.e., in addition to the old -1, 0, 1, or 2)

Which is not really helpful, to newcomers to Python who do not know what these are meant to be. Either explaining (or removing if considered old behavior that should be stopped) seem to be better alternative.

See https://github.com/python/cpython/pull/88
msg288267 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-21 05:30
New changeset 8fb1f6e039cbdeb333d83b7a62f0f37af4ce6e02 by Berker Peksag in branch 'master':
bpo-29554: Improve docs for pstat module and profile. (#88)
https://github.com/python/cpython/commit/8fb1f6e039cbdeb333d83b7a62f0f37af4ce6e02
msg288325 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-22 01:55
New changeset 6336f0d156feec0f109a8d01da108cf96e3d9c60 by GitHub in branch '3.5':
bpo-29554: Improve docs for pstat module and profile. (#88) (#228)
https://github.com/python/cpython/commit/6336f0d156feec0f109a8d01da108cf96e3d9c60
msg288326 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-22 01:55
New changeset b067a5eef7fdf69264d3578654996fc3755df4ea by GitHub in branch '3.6':
bpo-29554: Improve docs for pstat module and profile. (#88) (#227)
https://github.com/python/cpython/commit/b067a5eef7fdf69264d3578654996fc3755df4ea
History
Date User Action Args
2017-02-22 01:56:40berker.peksagsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-02-22 01:55:35berker.peksagsetmessages: + msg288326
2017-02-22 01:55:05berker.peksagsetmessages: + msg288325
2017-02-21 23:28:20berker.peksagsetpull_requests: + pull_request191
2017-02-21 23:25:54berker.peksagsetpull_requests: + pull_request190
2017-02-21 05:30:02berker.peksagsetmessages: + msg288267
2017-02-21 05:26:36berker.peksagsetnosy: + berker.peksag
stage: patch review
type: behavior

versions: + Python 3.5, Python 3.6
2017-02-19 19:44:28mbussonnsetpull_requests: + pull_request150
2017-02-19 19:44:28mbussonnsetpull_requests: + pull_request149
2017-02-19 19:44:28mbussonnsetpull_requests: + pull_request148
2017-02-14 16:00:59mbussonncreate